Documentation: NexDSButton Class Reference

| Documentation For Arduino users

- Main Page
- Related Pages
- Modules
- Classes
- Files
- Examples

- Class List
- Class Index
- Class Hierarchy
- Class Members

Public Member Functions | List of all members
NexDSButton Class Reference
Nextion Component

NexDSButton component. More...

`#include <NexDualStateButton.h>`

Inherits NexTouch.

## Public Member Functions

| NexDSButton (uint8_t pid, uint8_t cid, const char *name)
| Constructor. More...
bool | getValue (uint32_t *number)
| Get number attribute of component. More...
bool | setValue (uint32_t number)
| Set number attribute of component. More...
uint16_t | getText (char *buffer, uint16_t len)
| Get text attribute of component. More...
bool | setText (const char *buffer)
| Set text attribute of component. More...
uint32_t | Get_state0_color_bco0 (uint32_t *number)
| Get bco0 attribute of component. More...
bool | Set_state0_color_bco0 (uint32_t number)
| Set bco0 attribute of component. More...
uint32_t | Get_state1_color_bco1 (uint32_t *number)
| Get bco1 attribute of component. More...
bool | Set_state1_color_bco1 (uint32_t number)
| Set bco1 attribute of component. More...
uint32_t | Get_font_color_pco (uint32_t *number)
| Get pco attribute of component. More...
bool | Set_font_color_pco (uint32_t number)
| Set pco attribute of component. More...
uint32_t | Get_place_xcen (uint32_t *number)
| Get xcen attribute of component. More...
bool | Set_place_xcen (uint32_t number)
| Set xcen attribute of component. More...
uint32_t | Get_place_ycen (uint32_t *number)
| Get ycen attribute of component. More...
bool | Set_place_ycen (uint32_t number)
| Set ycen attribute of component. More...
uint32_t | getFont (uint32_t *number)
| Get font attribute of component. More...
bool | setFont (uint32_t number)
| Set font attribute of component. More...
uint32_t | Get_state0_crop_picc0 (uint32_t *number)
| Get picc0 attribute of component. More...
bool | Set_state0_crop_picc0 (uint32_t number)
| Set picc0 attribute of component. More...
uint32_t | Get_state1_crop_picc1 (uint32_t *number)
| Get picc1 attribute of component. More...
bool | Set_state1_crop_picc1 (uint32_t number)
| Set picc1 attribute of component. More...
uint32_t | Get_state0_image_pic0 (uint32_t *number)
| Get pic0 attribute of component. More...
bool | Set_state0_image_pic0 (uint32_t number)
| Set pic0 attribute of component. More...
uint32_t | Get_state1_image_pic1 (uint32_t *number)
| Get pic1 attribute of component. More...
bool | Set_state1_image_pic1 (uint32_t number)
| Set pic1 attribute of component. More...
Public Member Functions inherited from NexTouch
| NexTouch (uint8_t pid, uint8_t cid, const char *name)
| Constructor. More...
void | attachPush (NexTouchEventCb push, void *ptr=NULL)
| Attach an callback function of push touch event. More...
void | detachPush (void)
| Detach an callback function. More...
void | attachPop (NexTouchEventCb pop, void *ptr=NULL)
| Attach an callback function of pop touch event. More...
void | detachPop (void)
| Detach an callback function. More...
Public Member Functions inherited from NexObject
| NexObject (uint8_t pid, uint8_t cid, const char *name)
| Constructor. More...
void | printObjInfo (void)
| Print current object'address, page id, component id and name. More...

## Detailed Description

NexDSButton component.

Commonly, you want to do something after push and pop it. It is recommanded that only call NexTouch::attachPop to satisfy your purpose.

Warning
  Please do not call NexTouch::attachPush on this component, even though you can.

Definition at line 36 of file NexDualStateButton.h.

## Constructor & Destructor Documentation

NexDSButton::NexDSButton | ( | uint8_t | pid,
|  | uint8_t | cid,
|  | const char * | name
| ) |  |

Constructor.

Parameters

  pid | - page id.
  cid | - component id.
  name | - pointer to an unique name in range of all components.

Definition at line 18 of file NexDualStateButton.cpp.

## Member Function Documentation

uint32_t NexDSButton::Get_font_color_pco | ( | uint32_t * | number | ) |

Get pco attribute of component.

Parameters

  number | - buffer storing data retur

Returns
  the length of the data

Definition at line 123 of file NexDualStateButton.cpp.

uint32_t NexDSButton::Get_place_xcen | ( | uint32_t * | number | ) |

Get xcen attribute of component.

Parameters

  number | - buffer storing data retur

Returns
  the length of the data

Definition at line 151 of file NexDualStateButton.cpp.

uint32_t NexDSButton::Get_place_ycen | ( | uint32_t * | number | ) |

Get ycen attribute of component.

Parameters

  number | - buffer storing data retur

Returns
  the length of the data

Definition at line 179 of file NexDualStateButton.cpp.

uint32_t NexDSButton::Get_state0_color_bco0 | ( | uint32_t * | number | ) |

Get bco0 attribute of component.

Parameters

  number | - buffer storing data retur

Returns
  the length of the data

Definition at line 67 of file NexDualStateButton.cpp.

uint32_t NexDSButton::Get_state0_crop_picc0 | ( | uint32_t * | number | ) |

Get picc0 attribute of component.

Parameters

  number | - buffer storing data retur

Returns
  the length of the data

Definition at line 235 of file NexDualStateButton.cpp.

uint32_t NexDSButton::Get_state0_image_pic0 | ( | uint32_t * | number | ) |

Get pic0 attribute of component.

Parameters

  number | - buffer storing data retur

Returns
  the length of the data

Definition at line 291 of file NexDualStateButton.cpp.

uint32_t NexDSButton::Get_state1_color_bco1 | ( | uint32_t * | number | ) |

Get bco1 attribute of component.

Parameters

  number | - buffer storing data retur

Returns
  the length of the data

Definition at line 95 of file NexDualStateButton.cpp.

uint32_t NexDSButton::Get_state1_crop_picc1 | ( | uint32_t * | number | ) |

Get picc1 attribute of component.

Parameters

  number | - buffer storing data retur

Returns
  the length of the data

Definition at line 263 of file NexDualStateButton.cpp.

uint32_t NexDSButton::Get_state1_image_pic1 | ( | uint32_t * | number | ) |

Get pic1 attribute of component.

Parameters

  number | - buffer storing data retur

Returns
  the length of the data

Definition at line 319 of file NexDualStateButton.cpp.

uint32_t NexDSButton::getFont | ( | uint32_t * | number | ) |

Get font attribute of component.

Parameters

  number | - buffer storing data retur

Returns
  the length of the data

Definition at line 207 of file NexDualStateButton.cpp.

uint16_t NexDSButton::getText | ( | char * | buffer,
|  | uint16_t | len
| ) |  |

Get text attribute of component.

Parameters

  buffer | - buffer storing text returned.
  len | - length of buffer.

Returns
  The real length of text returned.

Definition at line 46 of file NexDualStateButton.cpp.

bool NexDSButton::getValue | ( | uint32_t * | number | ) |

Get number attribute of component.

Parameters

  number | - buffer storing text returned.

Returns
  The real length of text returned.

Definition at line 23 of file NexDualStateButton.cpp.

bool NexDSButton::Set_font_color_pco | ( | uint32_t | number | ) |

Set pco attribute of component.

Parameters

  number | - To set up the data

Returns
  true if success, false for failure

Definition at line 133 of file NexDualStateButton.cpp.

bool NexDSButton::Set_place_xcen | ( | uint32_t | number | ) |

Set xcen attribute of component.

Parameters

  number | - To set up the data

Returns
  true if success, false for failure

Definition at line 161 of file NexDualStateButton.cpp.

bool NexDSButton::Set_place_ycen | ( | uint32_t | number | ) |

Set ycen attribute of component.

Parameters

  number | - To set up the data

Returns
  true if success, false for failure

Definition at line 189 of file NexDualStateButton.cpp.

bool NexDSButton::Set_state0_color_bco0 | ( | uint32_t | number | ) |

Set bco0 attribute of component.

Parameters

  number | - To set up the data

Returns
  true if success, false for failure

Definition at line 77 of file NexDualStateButton.cpp.

bool NexDSButton::Set_state0_crop_picc0 | ( | uint32_t | number | ) |

Set picc0 attribute of component.

Parameters

  number | - To set up the data

Returns
  true if success, false for failure

Definition at line 245 of file NexDualStateButton.cpp.

bool NexDSButton::Set_state0_image_pic0 | ( | uint32_t | number | ) |

Set pic0 attribute of component.

Parameters

  number | - To set up the data

Returns
  true if success, false for failure

Definition at line 301 of file NexDualStateButton.cpp.

bool NexDSButton::Set_state1_color_bco1 | ( | uint32_t | number | ) |

Set bco1 attribute of component.

Parameters

  number | - To set up the data

Returns
  true if success, false for failure

Definition at line 105 of file NexDualStateButton.cpp.

bool NexDSButton::Set_state1_crop_picc1 | ( | uint32_t | number | ) |

Set picc1 attribute of component.

Parameters

  number | - To set up the data

Returns
  true if success, false for failure

Definition at line 273 of file NexDualStateButton.cpp.

bool NexDSButton::Set_state1_image_pic1 | ( | uint32_t | number | ) |

Set pic1 attribute of component.

Parameters

  number | - To set up the data

Returns
  true if success, false for failure

Definition at line 329 of file NexDualStateButton.cpp.

bool NexDSButton::setFont | ( | uint32_t | number | ) |

Set font attribute of component.

Parameters

  number | - To set up the data

Returns
  true if success, false for failure

Definition at line 217 of file NexDualStateButton.cpp.

bool NexDSButton::setText | ( | const char * | buffer | ) |

Set text attribute of component.

Parameters

  buffer | - text buffer terminated with '\0'.

Returns
  true if success, false for failure.

Definition at line 56 of file NexDualStateButton.cpp.

bool NexDSButton::setValue | ( | uint32_t | number | ) |

Set number attribute of component.

Parameters

  number | - number buffer.

Returns
  true if success, false for failure.

Definition at line 32 of file NexDualStateButton.cpp.

The documentation for this class was generated from the following files:

- NexDualStateButton.h
- NexDualStateButton.cpp